Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226028 - Merge Review: libIDL
Summary: Merge Review: libIDL
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:25 UTC by Nobody's working on this, feel free to take it
Modified: 2010-08-19 18:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-18 20:49:54 UTC
susi.lehtola: fedora-review+


Attachments (Terms of Use)
Patch against rawhide spec (deleted)
2010-08-18 20:47 UTC, Susi Lehtola
no flags Details | Diff
Patch against rawhide spec (deleted)
2010-08-18 21:44 UTC, Susi Lehtola
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:25:17 UTC
Fedora Merge Review: libIDL

http://cvs.fedora.redhat.com/viewcvs/devel/libIDL/
Initial Owner: mclasen@redhat.com

Comment 1 Susi Lehtola 2009-03-27 20:17:31 UTC
rpmlint output:
libIDL.src: W: no-url-tag
libIDL.x86_64: W: no-url-tag
libIDL.x86_64: W: shared-lib-calls-exit /usr/lib64/libIDL-2.so.0.0.0 exit@GLIBC_2.2.5
libIDL-debuginfo.x86_64: W: no-url-tag
libIDL-devel.x86_64: W: no-url-tag
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

- Add source url, maybe will have to do with just
http://ftp.gnome.org/pub/gnome/sources/libIDL/
 if software does not have a homepage.

- Enable SMP make.

- For info file installation change
Requires(post): /sbin/install-info
to
Requires(post):         info
Requires(preun):        info


MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSFIX
 - ltmain.sh, parser.c and parser.h are under GPLv2+. License should thus probably be LGPLv2+ and GPLv2+.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSFIX
 - Add BUGS and MAINTAINERS to %doc.

MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
 - You might want to change the requires to %{name} instead of libIDL.

MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

Comment 2 Susi Lehtola 2009-04-24 20:49:42 UTC
Ping.

Comment 3 Matthias Clasen 2009-04-24 21:06:26 UTC
MUST: The License field in the package spec file must match the actual license.
NEEDSFIX
 - ltmain.sh, parser.c and parser.h are under GPLv2+. License should thus
probably be LGPLv2+ and GPLv2+.

ltmain.sh is a part of libtool. I don't see how that could be relevant for the license of this package.

Comment 4 Susi Lehtola 2009-04-24 21:11:54 UTC
(In reply to comment #3)
> MUST: The License field in the package spec file must match the actual license.
> NEEDSFIX
>  - ltmain.sh, parser.c and parser.h are under GPLv2+. License should thus
> probably be LGPLv2+ and GPLv2+.
> 
> ltmain.sh is a part of libtool. I don't see how that could be relevant for the
> license of this package.  

Duh, what have I been thinking..

Comment 5 Susi Lehtola 2009-04-24 21:21:28 UTC
parser.c states:

"  As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton."

So the licensing is probably OK after all.

Comment 6 Susi Lehtola 2009-06-14 16:06:03 UTC
ping?

Comment 7 Susi Lehtola 2009-08-05 11:23:57 UTC
ping again?

Comment 8 Matthias Clasen 2009-08-05 13:49:56 UTC
ping what ? kindly state what you want

Comment 9 Susi Lehtola 2009-08-05 14:08:43 UTC
(In reply to comment #8)
> ping what ? kindly state what you want  

Please address the issues in comment #1 (except the license issue which was cleared out) so that the package can be approved and the merge review closed.

Comment 10 Susi Lehtola 2010-01-01 22:46:01 UTC
ping mclasen

Comment 11 Susi Lehtola 2010-08-18 20:47:41 UTC
Created attachment 439502 [details]
Patch against rawhide spec

Comment 12 Susi Lehtola 2010-08-18 20:49:54 UTC
See patch in comment #11 for suggested changes. Now as I look at them, they're mostly cosmetic, so I don't see any reason not to approve this review.

APPROVED

Maybe you'll want to go through them quickly, anyhow.

Comment 13 Susi Lehtola 2010-08-18 21:44:17 UTC
Created attachment 439520 [details]
Patch against rawhide spec

Comment 14 Matthias Clasen 2010-08-19 14:52:55 UTC
Patch looks fine to commit, no objections. If you have the privileges to do a build with it, feel free to that too. Otherwise, I'll do it at some point.

Comment 15 Susi Lehtola 2010-08-19 18:22:13 UTC
OK, all done!


Note You need to log in before you can comment on or make changes to this bug.